VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ExeInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' gtpExeDg sample EXE server
' Copyright © 1998 by Desaware Inc. All Rights Reserved

Option Explicit

Private Declare Function GetModuleFileName Lib "kernel32" Alias "GetModuleFileNameA" (ByVal hinst As Long, ByVal filename As String, ByVal filelen As Long) As Long

Public Function ShowModule() As String
   Dim tbuf As String * 512
   Dim strlen As Long
   strlen = GetModuleFileName(0, tbuf, 511)
   ShowModule = "Executable Name is: " & Left$(tbuf, strlen)
End Function
